#ifndef INC_GTCASCADE_H
#define INC_GTCASCADE_H

#include "gtbutton.h"

/************************************************************************\
*
* GtCascade class header.
*
* $Ident: This file is part of the 'Gt-library' 1.0.0 $
* $Copyright: (C) 1997 by Gran Gustafsson $
*
\************************************************************************/

class GtMenu;
class GtSymbol;

class GtCascade : public GtButton
{
public:
		/* Standard */
	GtCascade(void);
	sbool Init(char *n,GtManager *p,GtTag *tgs);
	sbool Set(GtTag *tgs);
	void Get(GtTag *tgs);
	char *GetClass(void) { return("GtCascade"); }
	sbool IsSubClassOf(char *cn);
		/* Child management */
	sbool AddChild(GtWidget *obj,ulong pos);
		/* Notify */
	void Notify(ulong tag);
	void NotifyA(ulong tag,void *ptr);
protected:
		/* Internal methods */
	sbool Mouse(XEvent *xe);
	void Arm(ulong button,ulong state);
	void Activate(ulong button,ulong state);
	void DisArm(ulong button,ulong state);
protected:
		/* Instance variables */
	GtMenu *menu;
	GtSymbol *ind;
	Time gtime;
	ubyte dir;
};

extern GtCascade *GtMkCascade(char *n,GtManager *p,GtTag *tgs);
extern GtCascade *GtMkCascade(char *n,GtManager *p,ulong tag,...);

#endif /* INC_GTCASCADE_H */
